commit: e6d90e07bd08f760ade1d1637c1069c560a6dc1b
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 15 21:35:35 2024 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sat Jun 15 22:23:27 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e6d90e07
media-gfx/curtail: bump to 1.10.0
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
media-gfx/curtail/Manifest | 1 +
media-gfx/curtail/curtail-1.10.0.ebuild | 71 +++++++++++++++++++++++++++++++++
2 files changed, 72 insertions(+)
diff --git a/media-gfx/curtail/Manifest b/media-gfx/curtail/Manifest
index 2b49419c1aa6..96cc9b80fdfd 100644
--- a/media-gfx/curtail/Manifest
+++ b/media-gfx/curtail/Manifest
@@ -1 +1,2 @@
+DIST curtail-1.10.0.tar.gz 205428 BLAKE2B
7a9d1c56542648cd1c4c6fe1355276896bea96a8f054d03c2e4a174e392867db05c3a6548897d31f078b2416eac8b3695cafd3977236f0b66fd10f3020e35d3a
SHA512
6bd76b4cefd693199e25db112e90acaa990d2a8dbc2016bd9d55e8d1857bd9c6e94f9164691855231afeff65ae3b070c646a8dc8b446591a08509683dd4a9fb7
DIST curtail-1.9.1.tar.gz 199785 BLAKE2B
689aa8f61f3c48ed51a85c35bbc6bee136a20064cd2d03c48f630fd80c8c85b64421e77327a71a41f266bd8f9d6f0dcdc197c15657159ae74056e1b52cc8ef12
SHA512
7ff0ff10068c5ff2694f6674376edf84957759b6274740d47d11a584943b026183b13a59b777c27569b6997c3cb358694fa93c55a1136b9d1fab08e768d1a1a4
diff --git a/media-gfx/curtail/curtail-1.10.0.ebuild
b/media-gfx/curtail/curtail-1.10.0.ebuild
new file mode 100644
index 000000000000..8db3728be1ae
--- /dev/null
+++ b/media-gfx/curtail/curtail-1.10.0.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit gnome2-utils meson python-single-r1 xdg
+
+DESCRIPTION="Image compressor, supporting PNG, JPEG and WebP"
+HOMEPAGE="https://github.com/Huluti/Curtail/"
+
+if [[ "${PV}" == *9999* ]] ; then
+ inherit git-r3
+
+ EGIT_REPO_URI="https://github.com/Huluti/${PN^}.git"
+else
+ SRC_URI="https://github.com/Huluti/${PN^}/archive/${PV}.tar.gz
+ -> ${P}.tar.gz"
+ S="${WORKDIR}/${P^}"
+
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="test" # Just desktop / schema / appstream file validation (fails).
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ gui-libs/gtk:4[introspection]
+ $(python_gen_cond_dep '
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ ')
+"
+BDEPEND="
+ ${RDEPEND}
+ dev-libs/appstream-glib
+ dev-util/desktop-file-utils
+"
+RDEPEND+="
+ >=gui-libs/libadwaita-1.3.1
+ media-gfx/jpegoptim
+ media-gfx/oxipng
+ media-gfx/pngquant
+ media-libs/libwebp
+"
+
+DOCS=( CHANGELOG.md README.md )
+
+src_prepare() {
+ sed -i "s|@PYTHON@|${PYTHON}|" "${S}/src/${PN}.in" || die
+
+ default
+}
+
+src_install() {
+ meson_src_install
+ python_optimize
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ gnome2_schemas_update
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+ gnome2_schemas_update
+}